@import "./card/catalog-card";
@import "src/views/shared/react/button/ui/react-button";

$parent: "catalog";

@include block($parent) {

  @include element($parent, 'filter') {
    display: flex;
    gap: rem(20);
    margin-bottom: rem(40);
  }

  @include element($parent, 'list') {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    grid-gap: rem(40);
    margin-bottom: rem(30);
  }

  @include element($parent, 'card') {
    height: rem(300);
  }

  @include element($parent, 'button') {
    margin: 0 auto;
  }
}
